﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="iBlog" %>

<%@ Register Assembly="C1.Web.iPhone.3" Namespace="C1.Web.iPhone.C1Dialog" TagPrefix="C1Dialog" %>
<%@ Register Assembly="C1.Web.iPhone.3" Namespace="C1.Web.iPhone.C1ViewPort" TagPrefix="C1ViewPort" %>
<%@ Register Assembly="C1.Web.iPhone.3" Namespace="C1.Web.iPhone.C1MultiView" TagPrefix="C1MultiView" %>
<%@ Register Assembly="C1.Web.iPhone.3" Namespace="C1.Web.iPhone.C1TabBarController" TagPrefix="C1TabBarController" %>
<%@ Register Assembly="C1.Web.iPhone.3" Namespace="C1.Web.iPhone.C1NavigationList" TagPrefix="C1NavigationList" %>
<%@ Register Assembly="RssToolkit" Namespace="RssToolkit.Web.WebControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>iReadFeeds</title>
    <link href="Images/rss_57x57.png" rel="apple-touch-icon" />
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Services>
            <asp:ServiceReference InlineScript="True" Path="~/iReadFeeds.asmx" />
        </Services>
    </asp:ScriptManager>

    <script language="javascript" type="text/javascript">
        var mySettings = null;

        function popShown(dialog) {
            var navList = $find("<%=LstSettings.ClientID%>");
            navList.invalidate();
        }
        function showSettings(item) {
            var pop = $find("<%=PopSettings.ClientID%>");
            pop.add_shown(popShown);
            pop.show(0);
        }
        function hideSettings(item) {
            var pop = $find("<%=PopSettings.ClientID%>");
            pop.hide();
        }
        function epicFail(err) {
            alert("Call to webservice failed: " + err.get_message());
        }

        function getSettings(item) {
            var navList = $find("<%=LstSettings.ClientID%>");

            iReadFeeds.GetBlogSettings(getSettingsCallback, epicFail, null);
        }
        function getSettingsCallback(results) {
            var navList = $find("<%=LstSettings.ClientID%>");
            var ItmURL = navList.findItemByCommandName("FeedURL");
            var ItmGroupByDate = navList.findItemByCommandName("GroupByDate");
            var ItmMaxCount = navList.findItemByCommandName("MaxPosts");
            var ItmPostLink = navList.findItemByCommandName("ShowLinkToFullPost");
            var ItmSiteLink = navList.findItemByCommandName("ShowLinkToFullSite");

            mySettings = results;

            ItmURL.set_value(mySettings.FeedURL);
            ItmGroupByDate.set_checked(mySettings.GroupByDate);
            ItmMaxCount.get_slider().set_value(mySettings.MaxPosts);
            ItmPostLink.set_checked(mySettings.ShowLinkToFullPost);
            ItmSiteLink.set_checked(mySettings.ShowLinkToFullSite);

            showSettings(null);
        }
        function updateSettings(buttonItem) {
            var navList = $find("<%=LstSettings.ClientID%>");

            var ItmURL = navList.findItemByCommandName("FeedURL");
            var ItmGroupByDate = navList.findItemByCommandName("GroupByDate");
            var ItmMaxCount = navList.findItemByCommandName("MaxPosts");
            var ItmPostLink = navList.findItemByCommandName("ShowLinkToFullPost");
            var ItmSiteLink = navList.findItemByCommandName("ShowLinkToFullSite");

            var mySettings = new BlogSettings();
            mySettings.FeedURL = ItmURL.get_value();
            mySettings.GroupByDate = ItmGroupByDate.get_checked();
            mySettings.MaxPosts = ItmMaxCount.get_slider().get_value();
            mySettings.ShowLinkToFullPost = ItmPostLink.get_checked();
            mySettings.ShowLinkToFullSite = ItmSiteLink.get_checked();
            iReadFeeds.UpdateBlogSettings(mySettings, updateSettingsCallback, epicFail, null);
        }
        function updateSettingsCallback(results) {
            var navList = $find("<%=LstSettings.ClientID%>");

            var BtnSave = navList.findItemByCommandName("Save");
            if (results == true) {
                hideSettings(null);
                window.location.href = "Default.aspx";
            }
            else {
                alert("Oh Snap! Check file permissions maybe?");
            }
        }
    </script>

    <div>
        <C1ViewPort:C1ViewPort ID="ViewFeed" runat="server" NavigationBarVisible="true" Text="iReadFeeds" ToolBarVisible="False" UrlBarVisible="false">
            <LeftButton ID="LeftButton" />
            <Content>
                <C1NavigationList:C1NavigationList ID="LstFeed" runat="server" Text="iReadFeeds">
                    <Items>
                        <C1NavigationList:C1NavigationListItem ID="ItmPosts" runat="server" ImageUrl="~/Images/rss_29x29.png" Text="Recent Posts">
                        </C1NavigationList:C1NavigationListItem>
                        <C1NavigationList:C1NavigationListItem ID="ItmAbout" runat="server" ImageUrl="~/Images/blank_29x29.png" Text="About this Feed">
                            <Items>
                                <C1NavigationList:C1NavigationListItem ID="ItmTitle" runat="server">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListTextItem ID="ItmDescription" runat="server">
                                </C1NavigationList:C1NavigationListTextItem>
                                <C1NavigationList:C1NavigationListLinkItem ID="ItmLink" runat="server">
                                </C1NavigationList:C1NavigationListLinkItem>
                            </Items>
                        </C1NavigationList:C1NavigationListItem>
                        <C1NavigationList:C1NavigationListLinkItem ID="ItmSettings" runat="server" ImageUrl="~/Images/settings_29x29.png" OnClientClick="getSettings" Text="Settings">
                        </C1NavigationList:C1NavigationListLinkItem>
                    </Items>
                </C1NavigationList:C1NavigationList>
            </Content>
            <RightButton ID="BtnRight" runat="server" Text="Visit Site" />
        </C1ViewPort:C1ViewPort>
        <cc1:RssDataSource ID="XmlBlogPosts" runat="server">
        </cc1:RssDataSource>
        <C1Dialog:C1Dialog ID="PopSettings" runat="server">
            <Content>
                <C1ViewPort:C1ViewPort ID="ViewSettings" runat="server" NavigationBarVisible="true" Text="Settings" ToolBarVisible="False" UrlBarVisible="false">
                    <LeftButton ID="LeftButton1" />
                    <Content>
                        <C1NavigationList:C1NavigationList ID="LstSettings" runat="server" LoadOnDemand="False" Text="Settings">
                            <Items>
                                <C1NavigationList:C1NavigationListHeaderItem ID="C1NavigationListHeaderItem1" runat="server" Text="Feed URL">
                                </C1NavigationList:C1NavigationListHeaderItem>
                                <C1NavigationList:C1NavigationListInputItem ID="ItmURL" runat="server" CommandName="FeedURL">
                                </C1NavigationList:C1NavigationListInputItem>
                                <C1NavigationList:C1NavigationListHeaderItem ID="C1NavigationListHeaderItem2" runat="server" Text="Max Posts">
                                </C1NavigationList:C1NavigationListHeaderItem>
                                <C1NavigationList:C1NavigationListSliderItem ID="ItmMaxCount" runat="server" CommandName="MaxPosts" Slider-MaximumValue="25" Slider-MinimumValue="1" Slider-Step="5" Text="Max Posts">
                                </C1NavigationList:C1NavigationListSliderItem>
                                <C1NavigationList:C1NavigationListSwitchItem ID="ItmGroupByDate" runat="server" Checked="true" CommandName="GroupByDate" Text="Group By Date">
                                </C1NavigationList:C1NavigationListSwitchItem>
                                <C1NavigationList:C1NavigationListSwitchItem ID="ItmPostLink" runat="server" Checked="true" CommandName="ShowLinkToFullPost" Text="Show Full Post Link">
                                </C1NavigationList:C1NavigationListSwitchItem>
                                <C1NavigationList:C1NavigationListSwitchItem ID="ItmSiteLink" runat="server" Checked="true" CommandName="ShowLinkToFullSite" Text="Show Full Site Link">
                                </C1NavigationList:C1NavigationListSwitchItem>
                                <C1NavigationList:C1NavigationListButtonItem ID="BtnSave" runat="server" CommandName="Save" OnClientClick="updateSettings" Text="Save Settings">
                                </C1NavigationList:C1NavigationListButtonItem>
                            </Items>
                        </C1NavigationList:C1NavigationList>
                    </Content>
                    <RightButton ID="RightButton" ButtonType="Primary" OnClientClick="hideSettings" Text="Close" />
                </C1ViewPort:C1ViewPort>
            </Content>
        </C1Dialog:C1Dialog>
        
    </div>
    </form>
</body>
</html>
